# Parle\RParser::consume

(PECL parle >= 0.7.0)

Parle\RParser::consume — Consume the data for processing

### Description

public Parle\RParser::consume ( string `$data` , Parle\RLexer `$rlexer` ) : void

Consume the data for parsing.

### Parameters

`data`

  Data to be parsed.

`lexer`

  A lexer object containing the lexing rules prepared for the particular grammar.

### Return Values

No value is returned.